Change Customer
Intent
Applies the supplied changes to the customer.
When to call it
Call this when the customer already exists and its stored values need to change.
Access boundary
Authorize the request with a token that carries customer_portal:write.
Successful result
A successful request returns 200. The response schema below defines the body your integration receives.
Operational notes
Update authenticated customer.
PATCH
/
v1
/
customer-portal
/
customers
/
me
Change Customer
curl --request PATCH \
--url https://api.getruba.com/v1/customer-portal/customers/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_name": "<string>",
"billing_address": {
"country": "US",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state": "<string>"
},
"tax_id": "<string>",
"default_payment_method_id": "<string>"
}
'import requests
url = "https://api.getruba.com/v1/customer-portal/customers/me"
payload = {
"billing_name": "<string>",
"billing_address": {
"country": "US",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state": "<string>"
},
"tax_id": "<string>",
"default_payment_method_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billing_name: '<string>',
billing_address: {
country: 'US',
line1: '<string>',
line2: '<string>',
postal_code: '<string>',
city: '<string>',
state: '<string>'
},
tax_id: '<string>',
default_payment_method_id: '<string>'
})
};
fetch('https://api.getruba.com/v1/customer-portal/customers/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"email": "<string>",
"email_verified": true,
"name": "<string>",
"billing_name": "<string>",
"billing_address": {
"country": "US",
"line1": "<string>",
"line2": "<string>",
"postal_code": "<string>",
"city": "<string>",
"state": "<string>"
},
"tax_id": {
"[0]": "<string>"
},
"oauth_accounts": {},
"default_payment_method_id": "<string>",
"type": "individual",
"locale": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
customer_sessionmember_session
Customer session tokens are specific tokens that are used to authenticate customers on your organization. You can create those sessions programmatically using the Create Customer Session endpoint.
Body
application/json
Response
Customer updated.
The time Ruba created this record.
The time this record last changed.
The stable identifier for this record.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
individual, team ⌘I
Change Customer
